Skip to content

List all counterparties​

GET
/api/v1/counterparties

Get all the counterparties that you have created, or use the query parameters to filter the results.
The counterparties are sorted by the createdAt date in reverse chronological order.

The returned counterparties are paginated. The maximum number of counterparties returned per page is specified by the limit parameter.

Authorizations​

bearerAuth
Type
HTTP (bearer)

Parameters​

Query Parameters

name
Type
string
Max Length
90
Min Length
3
Pattern
"^[-_ a-zA-Z0-9]+$"
accountIdentifier.type
Type
string
Valid values
"ID""IBAN"
accountIdentifier.value

The exact account number or IBAN of the counterparty to retrieve.

Type
string
Min Length
1
Max Length
34
Pattern
"^[A-Z0-9]+$"
branchIdentifier.type

Field to identify the branch identifier.

Type
string
Valid values
"BIC""IFSC""SORT""ROUTING"
branchIdentifier.value

Branch identifier for the debtor account.

Type
string
Min Length
1
Max Length
11
Pattern
"^[A-Z0-9]+$"
createdBefore

The date-time at which the request is made, in ISO 8601 format (e.g. 2024-03-24T03:14:15Z).

Retrieves counterparties with createdAt < createdBefore. The default value is the current date and time at which you are calling the endpoint.

Type
string
Example"2024-03-24T03:14:15Z"
Format
"date-time"
Pattern
"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"
limit

The page size, indicating the number of entries returned per page.

Type
integer
Format
"int64"
Maximum
1000
Minimum
1
Default
100
page

This is the page number.

Type
integer
Example1
Minimum
1
Default
1

Responses​

List of all your counterparties.

application/json
object
object
Required

This is the page number.

Minimum0

The page size, indicating the number of entries returned per page.

Minimum0

true if there are more pages available beyond this one.

object[]
Required

The unique cross-system identifier for the counterparty (e.g., ERP vendor ID). Facilitates seamless mapping between the Synthix ledger and your internal CRM/ERP.

Max Length90
Min Length3
Pattern"^[-_a-zA-Z0-9]+$"

Indicates the state of the counterparty.

Valid values"ACTIVE""INACTIVE"

The date and time the counterparty was created in ISO 8601 format. Example: 2024-03-24T03:14:15Z.

Format"date-time"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"

The date and time the counterparty was updated in ISO 8601 format. Example: 2024-03-24T03:14:15Z.

Format"date-time"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"

The full legal name of the individual or entity as registered with their financial institution. Critical for matching during Anti-Money Laundering (AML) checks.

Max Length90
Min Length3
Pattern"^[-_ a-zA-Z0-9]+$"

Email address of the counterparty.

Max Length255
Min Length6
Format"email"

Mobile phone number of the counterparty.

Max Length16
Min Length5
Pattern"^[\\d]*$"

Free-text notes or remarks about the counterparty.

Min Length3
Max Length90
Pattern"^[A-Za-z0-9_.,'-]+( +[A-Za-z0-9_.,'-]+)*$"

Populated internally by the service based on the channel (e.g. API, web, or link).

Min Length3
Max Length100
object
object[]

The list of accounts associated with this counterparty.

Response Headers

Deprecation

Indicates deprecation (boolean)

Typestring
Exampletrue
Sunset

Sunset date in HTTP-date format [ISO 8601]. Example: `2024-03-24T03:14:15Z`.

Typestring (date-time)
Example2024-03-24T03:14:15Z

Samples​